{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 03-11-2002
  Versión actual: 1.0.0
  Fecha versión actual: 16-11-2002
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BarraProveedores;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, ActnList,
  StdCtrls, pngimage;

type
  TfrBarraProveedores = class(TRdxFrame)
    Acciones: TActionList;
    actProveedores: TAction;
    actFacturas: TAction;
    actPagos: TAction;
    Panel3: TPanel;
    shSeparador: TShape;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    bProveedores: TRdxBotonLateral;
    bFacturas: TRdxBotonLateral;
    bPagos: TRdxBotonLateral;
    actPedidos: TAction;
    procedure actFacturasExecute(Sender: TObject);
    procedure actProveedoresExecute(Sender: TObject);
    procedure actPagosExecute(Sender: TObject);
    procedure actPedidosExecute(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraProveedores: TfrBarraProveedores;

implementation
{$R *.DFM}
uses
  Proveedores, FacturasProveedores, PagosProveedores, Entidades, Configuracion,
  PedidosProveedores;

constructor TfrBarraProveedores.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  Entidad := entProveedor;
  ConfigurarBarraLateral(Self, Self.Entidad);  
  actProveedores.Execute;
end;

procedure TfrBarraProveedores.actFacturasExecute(Sender: TObject);
begin
  Contenido := TfrFacturasProveedores.Create(Self);
end;

procedure TfrBarraProveedores.actProveedoresExecute(Sender: TObject);
begin
  Contenido := TfrProveedores.Create(Self);
end;

procedure TfrBarraProveedores.actPagosExecute(Sender: TObject);
begin
  Contenido := TfrPagosProveedores.Create(Self);
end;

procedure TfrBarraProveedores.actPedidosExecute(Sender: TObject);
begin
  inherited;
  Contenido := TfrPedidosProveedores.Create(Self);
end;

end.
